program TpTimerDemo;
  {-Simple demonstration program for TPTIMER unit}
uses
  TpTimer, Crt, dos;


{$F+}

PROCEDURE mlfw(x,y : integer; strng : string); EXTERNAL;    { ML Fast Write }
{$L mlfw.OBJ }

PROCEDURE mlfwa(x,y,a : integer; strng : string); EXTERNAL; { FW with attr }
{$L mlfwa.OBJ }

{$F-}



var
   i,j : integer;
   st  : string;
   ch  : char;

  DelayCount : Word;
  Start, Stop : LongInt;
  start1, stop1 : longint;
  start2, stop2 : longint;
begin


  clrscr;
  writeln(' Test will take about 5 seconds on 286 box / 15 on 8088');
  write('           Press any key to start test... ');
  ch := readkey;

  st := '123456789012345678901234567890123456789012345678901234567890';

  Start := ReadTimer;

  for i := 1 to 100 do
    for j := 1 to 25 do mlfw(1,j, st);

  Stop := ReadTimer;

  clrscr;

  Start1 := ReadTimer;
    for i := 1 to 100 do
      for j := 1 to 25 do mlfwa(1,j, 7,st);

  Stop1 := ReadTimer;

  Start2 := ReadTimer;
    for i := 1 to 100 do
      for j := 1 to 25 do begin
        gotoxy(1,j);
        write(st);
      end;
  Stop2 := ReadTimer;



  clrscr;
  writeln(
'Results for 100 screens (25 lines per screen) of 60 bytes - 150,000 bytes');
  writeln;
  WriteLn('Elapsed time (in ms) MLFW:             ', ElapsedTimeString(Start, Stop));
  WriteLn('Elapsed time (in ms) MLFW with Attrib: ', ElapsedTimeString(Start1, Stop1));
  WriteLn('Elapsed time (in ms) TP5 WRITE:        ', ElapsedTimeString(Start2, Stop2));

end.
